## Synonym Name (synonym_name)

A synonym_name identifies a synonym for a table name. Synonyms are useful for abbreviating long or complicated table names.

### Syntax

<synonym_name> ::= <identifier>

The identifier may not exceed 32 characters in length.

### Explanation

A synonym may be used in place of the old name at all times. Since synonyms are user-specific, a user identification does not have to be entered when a synonym is specified. If you access tables belonging to a different user, you do not have to specify the user name before the table name if you use the synonym.

Multiple synonyms can be assigned to one table. They cannot be loaned to other users. If the synonym is not a PUBLIC synonym, it is known only by one user or user group. A PUBLIC synonym is known by every user and user group.

See also:

CREATE SYNONYM Statement

RENAME SYNONYM Statement

DROP SYNONYM Statement